RuntimeObject (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.RuntimeObject class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol
Class RuntimeObject

    java.lang.Object
      com.microfocus.cobol.RuntimeSystem
          com.microfocus.cobol.RuntimeObject

Direct Known Subclasses:
  runtimeObject

public class RuntimeObject
extends RuntimeSystem

RuntimeObject class

Copyright: Copyright (c) 2002-2003
Company: Micro Focus International Ltd

Since:
  Net Express 4.0, Server Express 4.0
Version:
  3.9, 2/4/03

Field Summary

Fields inherited from class com.microfocus.cobol.RuntimeSystem
`A_BLINK, A_BOLD, A_DIM, A_NORMAL, A_REVERSE, A_UNDER, BY_CONTENT, BY_REFERENCE, BY_VALUE, cblClassHandle, cblInstanceHandle, isWindows, osName, SRV_CTL_ERRORHAND, SRV_CTL_ERRORHAND_ALL, SRV_CTL_NOCANCEL, SRV_CTL_NONE, SRV_CTL_NOSTOPRUN, SRV_CTL_NOTHREAD, SRV_CTL_THREADTIDY`

Constructor Summary
`RuntimeObject()`

Method Summary
`protected void` | `finalize()` Called by Java garbage collector.

Methods inherited from class com.microfocus.cobol.RuntimeSystem
`ccall, ccall, cobaddstr, cobaddstr, cobassocclass, cobassocclass, cobcall_boolean, cobcall_Boolean, cobcall_byte, cobcall_Byte, cobcall_float, cobcall_Float, cobcall_int, cobcall_Integer, cobcall_Object, cobcall_short, cobcall_Short, cobcall_String, cobcall, cobcall, cobcall, cobcall, cobcall, cobcall, cobcall, cobcancel, cobclear, cobcols, cobfinalize, cobgetch, cobgetenv, cobinvoke_boolean, cobinvoke_byte, cobinvoke_char, cobinvoke_double, cobinvoke_float, cobinvoke_int, cobinvoke_long, cobinvoke_object, cobinvoke_short, cobinvoke_void, cobinvokestatic_boolean, cobinvokestatic_byte, cobinvokestatic_char, cobinvokestatic_double, cobinvokestatic_float, cobinvokestatic_int, cobinvokestatic_long, cobinvokestatic_object, cobinvokestatic_short, cobinvokestatic_void, coblines, cobload, cobloadclass, cobloadclass, cobloadclass, cobmove, cobputenv, cobrcall, cobrcall, cobrescanenv, cobthreadtidy, cobtidy, getCobolRuntimeSupportLibraryName, getSrvCtlDefault, main, setSrvCtlDefault, updateParameters`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeObject

    public RuntimeObject()

Method Detail

### finalize

    protected void finalize()
                     throws Throwable

  Called by Java garbage collector. Default behavior destroys COBOL proxy object.

  Throws:
    `Throwable` - - throwable

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.